9.2 disapeared after software update

I had successfully installed Kdenlive 9.2 on Mint 13. However, it seem to be missing after doing a software update. I see it in the package list as uninstalled. When I check on it to install I get the message:
kdenlive:
Depends: libmlt++3 but it is not going to be installed
Depends: melt but it is not going to be installed

If I try to install these programs each attempt gives me a message that some other package is needed but will not be installed. It seems to be an endless loop.

Any helpful suggestions appreciated.

Thanks

Solved - I think

It turns out due to addition of some other programs I ended up with two PPAs that had kdenlive in them and for some reason Synaptic chose the non sunab one to use for updating. I disengaged the non sunab ppa, reloaded and then installed kdenlive from the sunab ppa. All seems fine now.

However, I am wondering how I avoid this in the future if I reenaged the ofending non sunab ppa in the future in order to upgrade the other program.

Pages